=== cajaburn/wscript ===
# -*- python -*-
# encoding: utf-8

def configure(conf):
    conf.env.append_value('MODULES_AVAILABLE', 'cajaburn')
    if 'cajaburn' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('CAJABURN',
                                  'libcaja-burn >= 2.15.3 pygobject-2.0',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'cajaburn')


def build(bld):
    if 'cajaburn' in bld.env['MODULES_TO_BUILD']:
        bld.codegen('caja_burn', prefix='caja_burn')
        pyext = bld.create_pyext()
        pyext.source = 'nb_module.c caja_burn.c nb_track.c'
        pyext.includes = '.'
        pyext.target = 'cajaburn'
        pyext.uselib = 'CAJABURN'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0'

        bld.install_files('${DATADIR}/pygtk/2.0/defs', 'caja_burn.defs')
