=== matedesktop/wscript ===
# -*- python -*-
# encoding: utf-8

def configure(conf):
    conf.env.append_value('MODULES_AVAILABLE', 'matedesktop')
    if 'matedesktop' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('MATEDESKTOP', 'mate-desktop-2.0 >= 2.10.0 pygobject-2.0',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'matedesktop')

def build(bld):
    
    if 'matedesktop' in bld.env['MODULES_TO_BUILD']:
        bld.codegen('_matedesktop')
        pyext = bld.create_pyext()
        pyext.source = '_matedesktopmodule.c _matedesktop.c'
        pyext.target = '_matedesktop'
        pyext.uselib = 'MATEDESKTOP'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0/matedesktop'

        py = bld.new_task_gen('py')
        py.install_path = '${PYTHONDIR}/gtk-2.0/matedesktop'
        py.source = "__init__.py"

        bld.install_files('${DATADIR}/pygtk/2.0/defs', '_matedesktop.defs')
