=== matekeyring/wscript ===
# -*- python -*-
# encoding: utf-8

import os

def configure(conf):
    conf.env.append_value('MODULES_AVAILABLE', 'matekeyring')
    if 'matekeyring' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('MATEKEYRING', 'mate-keyring-1 >= 0.5.0 pygobject-2.0 ',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'matekeyring')
            if conf.pkg_check_modules('MATEKEYRING_2_20_1', 'mate-keyring-1 >= 2.20.1', mandatory=False):
                conf.define('HAVE_KEYRING_2_20_1', 1)
            else:
                conf.undefine('HAVE_KEYRING_2_20_1')


def build(bld):
    env = bld.env
    if 'matekeyring' in env['MODULES_TO_BUILD']:
        bld.codegen('matekeyring', local_load_types=['matekeyring-argtypes.py'])

        pyext = bld.create_pyext()
        pyext.source = 'matekeyringmodule.c matekeyring.c'
        pyext.target = 'matekeyring'
        pyext.uselib = 'MATEKEYRING'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0'

        bld.install_files('${DATADIR}/pygtk/2.0/defs', ['matekeyring.defs'])
