=== mediaprofiles/wscript ===
# -*- python -*-
# encoding: utf-8


def configure(conf):
    conf.env.append_value('MODULES_AVAILABLE', 'mediaprofiles')
    if 'mediaprofiles' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('MEDIAPROFILES',
                                  'mate-media-profiles >= 2.10.0 pygobject-2.0 ',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'mediaprofiles')


def build(bld):
    
    if 'mediaprofiles' in bld.env['MODULES_TO_BUILD']:
        bld.codegen('mediaprofiles')
        pyext = bld.create_pyext()
        pyext.source = 'mediaprofilesmodule.c mediaprofiles.c'
        pyext.target = 'mediaprofiles'
        pyext.uselib = 'MEDIAPROFILES'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0'

        bld.install_files('${DATADIR}/pygtk/2.0/defs', ['mediaprofiles.defs'])
