=== docs/mateprint/wscript ===
# -*- python -*-

def build(bld):
    bld.build_docs_for_module('mateprint')
