=== debian/changelog ===
python-mate-desktop (1.2.0-2+precise) precise; urgency=low

  * Rebuild for precise. 

 -- Steve Zesch <stevezesch2@gmail.com>  Fri, 30 Mar 2012 21:18:15 -0400

python-mate-desktop (1.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Fri, 09 Mar 2012 01:50:23 +0100

python-mate-desktop (1.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Mon, 12 Dec 2011 15:19:50 +0100

python-mate-desktop (1.0.6-2) unstable; urgency=low

  * Fixed bindings to build.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Sat, 19 Nov 2011 01:03:51 +0100

python-mate-desktop (1.0.6-1) unstable; urgency=low

  * Using autogen.sh.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 18 Nov 2011 10:12:29 +0000

python-mate-desktop (1.0.1-2) unstable; urgency=low

  * Fixed conflict with gnome.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Wed, 09 Nov 2011 00:59:27 +0100

python-mate-desktop (1.0.1-1) unstable; urgency=low

  * Initial release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Mon, 07 Nov 2011 17:06:40 +0100
