=== debian/control ===
Source: python-mate-desktop
Section: python
Priority: optional
Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
Uploaders: Steve Zesch <stevezesch2@gmail.com>
Build-Depends: debhelper (>= 8),
               cdbs,
               dh-autoreconf,
               python-all-dev,
               python-gtk2-dev,
               python-mate,
               libmate-dev,
               libmateui-dev,
               python-cairo-dev,
               libglib2.0-dev,
               libgtk2.0-dev,
               librsvg2-dev,
               libgtop2-dev,
               libwnck-dev,
               libmatepanelapplet-dev,
               mate-media,
               libmateconf-dev,
               libmarco-dev,
               mate-common,
               libmatekeyring-dev,
               libmatedesktop-dev,
               libgstreamer0.10-dev,
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libavahi-client-dev,
               libavahi-common-dev,
               libavahi-glib-dev,
               libselinux1-dev,
               libgcrypt11-dev
Standards-Version: 3.9.3
X-Python-Version: >= 2.5
Homepage: http://www.mate-desktop.org/

Package: python-mate-desktop
Architecture: any
Depends: ${misc:Depends},
         ${shlib:Depends},
         ${python:Depends},
         python-gtk2
Description: Python bindings for the MATE desktop environment
 This archive contains files that allow you to build wrappers for addons
 that interoperate mate-python.
