## python-mate-desktop 1.4.0

=== wscript ===
--- 
+++ 
@@ -112,18 +112,15 @@
     conf.sub_config('mateapplet')
     conf.sub_config('matedesktop')
     conf.sub_config('mateprint')
-    conf.sub_config('evince')
-    conf.sub_config('evolution')
+    conf.sub_config('atril')
     conf.sub_config('gtksourceview')
     conf.sub_config('gtop')
     conf.sub_config('mediaprofiles')
     conf.sub_config('marco')
     conf.sub_config('cajaburn')
-    conf.sub_config('braseromedia')
-    conf.sub_config('braseroburn')
     conf.sub_config('rsvg')
     conf.sub_config('totem')
-    conf.sub_config('wnck')
+    conf.sub_config('matewnck')
 
     _bug_buddy_check(conf)
 
@@ -261,18 +258,15 @@
     bld.add_subdirs('mateapplet')
     bld.add_subdirs('matedesktop')
     bld.add_subdirs('mateprint')
-    bld.add_subdirs('evince')
-    bld.add_subdirs('evolution')
+    bld.add_subdirs('atril')
     bld.add_subdirs('gtksourceview')
     bld.add_subdirs('gtop')
     bld.add_subdirs('mediaprofiles')
     bld.add_subdirs('marco')
     bld.add_subdirs('cajaburn')
-    bld.add_subdirs('braseromedia')
-    bld.add_subdirs('braseroburn')
     bld.add_subdirs('rsvg')
     bld.add_subdirs('totem')
-    bld.add_subdirs('wnck')
+    bld.add_subdirs('matewnck')
 
     bld.add_subdirs('docs/mateprint')
     bld.add_subdirs('docs/mateprintui')
@@ -295,7 +289,7 @@
     import shutil
     builddir = os.path.join(blddir, env.variant())
     # copy the __init__.py files
-    for subdir in ["evolution", "matedesktop", "mateprint", "totem"]:
+    for subdir in ["matedesktop", "mateprint", "totem"]:
         src = os.path.join(subdir, "__init__.py")
         dst = os.path.join(builddir, subdir)
         try:
