=== debian/changelog ===
python-mate-desktop (1.4.0-1) unstable; urgency=low

  * New upstream release. 

 -- Steve Zesch <stevezesch2@gmail.com>  Sun, 15 Jul 2012 21:15:31 -0400

python-mate-desktop (1.3.0-1) unstable; urgency=low

  * New upstream development release.
  * Move build depends from libwnck-dev to libmatewnck-dev.
  * Enable matewnck and atril bindings.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Fri, 08 Jun 2012 15:04:52 +0200

python-mate-desktop (1.2.0-2) unstable; urgency=low

  * Rebuild for precise. 

 -- Steve Zesch <stevezesch2@gmail.com>  Fri, 30 Mar 2012 21:18:15 -0400
