=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_SCRIPT := ./autogen.sh

DEB_CONFIGURE_EXTRA_FLAGS += --disable-static \
  --enable-applet \
  --enable-atril \
  --enable-cajaburn \
  --enable-matekeyring \
  --enable-matedesktop \
  --enable-mateprint \
  --enable-mateprintui \
  --enable-marco \
  --enable-matewnck \
  --disable-rsvg \
  --disable-bugbuddy \
  --disable-mediaprofiles \
  --disable-gtop \
  --disable-gtksourceview \
  --disable-totem_plparser

# all applets are: applet mateprint mateprintui gtksourceview matewnck totem_plparser gtop cajaburn mediaprofiles
# rsvg matekeyring matedesktop bugbuddy marco atril marco

DEB_DH_INSTALL_ARGS += --list-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
